// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////    Criar Janelas     //////////////////////////////////////////////////////////////////////////////////////////
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'Vendedor',
    backgroundColor:'#fff'
});
var tab1 = Titanium.UI.createTab({  
    icon:'vendedor.png',
    title:'Vendedor',
    window:win1
});
/*
var win2 = Titanium.UI.createWindow({  
    title:'Comprador',
    backgroundColor:'#fff'
});
var tab2 = Titanium.UI.createTab({  
    icon:'comprador.png',
    title:'Comprador',
    window:win2
});
*/

var win3 = Titanium.UI.createWindow({  
    title:'Sobre',
    backgroundColor:'#fff'
});
var tab3 = Titanium.UI.createTab({  
    icon:'icon1.png',
    title:'Sobre',
    window:win3
});

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////











/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////	Página Sobre	/////////////////////////////////////////////////////////////////////////////////////////////////
var visitasite = Titanium.UI.createButton({
   title: 'Visite nosso site',
   top:5
 });
 
 		var mandeemail = Titanium.UI.createButton({
   title: 'Mande-nos um e-mail',
   top:50
 });

mandeemail.addEventListener('click',function(e)
{
var emailDialog = Titanium.UI.createEmailDialog()
emailDialog.subject = "Olá do PagSeguroCalc";
emailDialog.toRecipients = ['clientes@vandfald.net'];
emailDialog.messageBody = 'Escreva o que achou do programa, sugestões e críticas!\nEm breve lhe responderemos!';
emailDialog.open();
});

win3.add(mandeemail);

		var iconface = Titanium.UI.createButton({
   top:330,
   left: 10,
   image:'facebook.png',
   height:32,
   width:32,
 });
 
 		var icontwitter = Titanium.UI.createButton({
   top:330,
   left: 60,
   image:'twitter.png',
   height:32,
   width:32,
   
 });
 
 
 
win3.add(iconface);
win3.add(icontwitter);

icontwitter.addEventListener('click',function(e)
{
	Titanium.Platform.openURL("http://twitter.com/share?url=https%3A%2F%2Fmarket.android.com%2Fdetails%3Fid%3Dpagsegurocalc.vandfald.net&text=Baixe%20a%20calculadora%20de%20tarifas%20do%20PagSeguro%20no%20Android!%20%23android%20%23pagseguro");
});

iconface.addEventListener('click',function(e)
{
	Titanium.Platform.openURL("http://m.facebook.com/sharer.php?u=https%3A%2F%2Fmarket.android.com%2Fdetails%3Fid%3Dpagsegurocalc.vandfald.net&t=Calcule%20as%20tarifas%20do%20PagSeguro%20no%20Android");
});


visitasite.addEventListener('click',function(e)
{
	Titanium.Platform.openURL("http://vandfald.net");
});

	var sobreappaviso = Titanium.UI.createAlertDialog({
    title: 'Sobre o PagSeguroCalc',
    message: 'Software desenvolvido por vandFald.net.\nTodos as imagens e informações são de responsabilidade do usuário.\nTodas as marcas registradas são pertencentes as suas respectivas proprietárias\nEste software não apresenta nenhum vínculo oficial com o PagSeguro, UOL e/ou suas subsidiárias.',
    buttonNames: ['OK']
});

		var sobreapp = Titanium.UI.createButton({
   title: 'Sobre o Aplicativo',
   top:325
 });
 
 sobreapp.addEventListener('click',function(e)
{
	sobreappaviso.show();
});

var imagemlogo = Titanium.UI.createImageView({
	url:'logo.peq.png',
	canScale:false,
	width:245, 
	height:194
	
});
win3.add(visitasite);
win3.add(imagemlogo);
win3.add(sobreapp);
win3.add(imagemlogo);


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////	  Aba Vendedor	///////////////////////////////////////////////////////////////////////////////////

var picker = Titanium.UI.createPicker({
	focusable:true,
	type: Titanium.UI.PICKER_TYPE_PLAIN,
	top:35,
	left:10
});
var data = [];
data[0]=Titanium.UI.createPickerRow({title:'Menor que R$4.000,00'});
data[1]=Titanium.UI.createPickerRow({title:'> R$4.000,00'});
data[2]=Titanium.UI.createPickerRow({title:'> R$20.000,00'});
data[3]=Titanium.UI.createPickerRow({title:'> R$100.000,00'});
picker.add(data);

var tipofaturamento;

// add change listener for date picker
picker.addEventListener('change', function(e)
{
	tipofaturamento = e.selectedValue[0];
});

var valor1 = Titanium.UI.createTextField({
    color:'#336699',
    hintText:'Valor da venda (R$)',
    height:40,
    width:200,
    top:85,
	left:10,
	keyboardType:Titanium.UI.KEYBOARD_PHONE_PAD,
    borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
});

var lbfaturamento = Titanium.UI.createLabel({
    text:'Seu faturamento mensal:',
    height:'auto',
    width:'auto',	
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
   // color:'#900',
	top:10,
	left:10,
    font:{fontSize:19},
    textAlign:'left'
});

var btcalcular = Titanium.UI.createButton({
   title: 'Calcular Tarifas',
   top:130,
   left:10
});

var alertDialog = Titanium.UI.createAlertDialog({
    title: 'Atenção',
    message: 'Você precisa inserir valores válidos no campo acima!',
    buttonNames: ['OK']
});
//alertDialog.show();

var tboleto; //Tarifa para Boleto e TEF
var tcartao;	//Tarifa para cartão

btcalcular.addEventListener('click',function(e){
	var valor = valor1.value;
	if (isNaN(valor)) {
		alertDialog.show();
		valor1.value = null ;
		}
		else {
		if (valor == null || valor == 0) {
			//	alert('Você precisa inserir algum valores válidos nos campos acima!');
			alertDialog.show();
		}
		else {
			if (tipofaturamento == "Menor que R$4.000,00") {
				tboleto = 0.029;
				tcartao = 0.064;
			}
			if (tipofaturamento == "> R$4.000,00") {
				tboleto = 0.026;
				tcartao = 0.061;
			}
			if (tipofaturamento == "> R$20.000,00") {
				tboleto = 0.022;
				tcartao = 0.061;
			}
			if (tipofaturamento == "> R$100.000,00") {
				tboleto = 0.019;
				tcartao = 0.054;
			}
			
			//Calcular valores
			var tarifaboelto = valor * tboleto
			tarifaboelto = tarifaboelto + 0.4;
			var tarifacartao = valor * tcartao
			tarifacartao = tarifacartao + 0.4;
			tarifaboelto = Math.round(tarifaboelto * 100) / 100;
			tarifacartao = Math.round(tarifacartao * 100) / 100;
			var imprimeboleto = valor - (valor * tboleto);
			var imprimecartao = valor - (valor * tcartao);
			imprimeboleto = Math.round(imprimeboleto * 100) / 100;
			imprimecartao = Math.round(imprimecartao * 100) / 100;
			//alert(imprimeboleto);
			//TheTable.visible = true;
			TheTable.updateRow(0, {
				leftImage: 'bk.png',
				title: "Você recebe: R$ " + imprimeboleto + " e paga R$ " + tarifaboelto + " de tarifas",
				color: '#000000'
			});
			TheTable.updateRow(1, {
				leftImage: 'bo.png',
				title: "Você recebe: R$ " + imprimeboleto + " e paga R$ " + tarifaboelto + " de tarifas",
				color: '#000000',
				backgroundColor: '#D6F4FF'
			});
			TheTable.updateRow(2, {
				leftImage: 'cc.png',
				title: "Você recebe: R$ " + imprimeboleto + " e paga R$ " + tarifacartao + " de tarifas",
				color: '#000000'
			});
			//TheTable.updateRow(1, { header:'Boleto Bancário' } );
			//softKeyboardOnFocus : Ti.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS
			Ti.UI.Android.hideSoftKeyboard(); // Esconde o teclado quando o botão é pressionado
		/*
		 title:"Você recebe: R$ " + imprimeboleto + " e paga " + tarifaboelto + " de tarifas"
		 title:"Você recebe: R$ " + imprimeboleto + " e paga " + tarifaboelto + " de tarifas"
		 title:"Você recebe: R$ " + imprimecartao + " e paga " + tarifacartao + " de tarifas"
		 TheTable.getIndexByName('card')
		 
		 
		 
		 
		 
		 */
		}
	}
});
 
var RegData = [
 
{ name: 'bank', leftImage:'bk.png', hasChild:false, title:"Transferência Bancária ou Saldo PagSeguro"},
{ name: 'bol', leftImage:'bo.png', hasChild:false, title:"Boleto Bancário"},
{ name: 'card', leftImage:'cc.png', hasChild:false, title:"Cartão de Crédito"}
];
 
var TheTable = Titanium.UI.createTableView({
	top:190,
	data:RegData,
	visible:true,
	allowsSelection:false,
	editable:false,
	focusable:false,
	headerTitle:'Tarifas PagSeguro',
	separatorColor:'#000000',
	touchEnabled:false
	
});

/////////////////////////////////////////////////// Icone interrogação

var interroga = Titanium.UI.createButton({
  // title: '?',
   image:'interrogation.png',
   height:48,
   width:48,
   top:32,
   left: 240   
});

var explicafatu = Titanium.UI.createAlertDialog({
    title: 'Faturamento Mensal',
    message: 'Indique nesse campo o seu faturamento mensal no PagSeguro.\n\nCaso não saiba, visite o site do PagSeguro e verifique em seu perfil de usuário.\n\nQuanto maior o seu faturamento, mais desconto você possui nas tarifas.',
    buttonNames: ['OK']
});

	
interroga.addEventListener('click',function(e)
{
   explicafatu.show();

});

///////////////////////////////////////////////////


win1.add(interroga);
win1.add(TheTable);
win1.add(picker);
win1.add(valor1);
win1.add(lbfaturamento);
win1.add(btcalcular);


///////////////////////////////////////////////// LABELS







/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  add tabs
//
tabGroup.addTab(tab1);  
//tabGroup.addTab(tab2);  
tabGroup.addTab(tab3);
// open tab group
tabGroup.open();